#include <lcd.hpp>

void lcd_send_stop_bit() {
    Serial.write(0xFF);
    Serial.write(0xFF);
    Serial.write(0xFF);
}

void lcd_send_command(String command) {
    lcd_send_stop_bit();
    Serial.print(command);
    lcd_send_stop_bit();
}

void lcd_reset() {
    lcd_send_stop_bit();
    lcd_send_command("rest");
    lcd_send_stop_bit();
}

void lcd_init() {
    lcd_reset();
    delay(750);
}